uuagc

CodeSyntax

# Documentation

data CGrammar

Constructors

CGrammar TypeSyns Derivings (Set NontermIdent) CNonterminals PragmaMap ParamMap ContextMap QuantMap (Map NontermIdent (Map ConstructorIdent (Set Identifier))) (Map NontermIdent (Map ConstructorIdent (Map Identifier (Identifier, [Identifier])))) Bool |

data CInterface

Constructors

CInterface CSegments |

data CNonterminal

Constructors

CNonterminal NontermIdent [Identifier] Attributes Attributes CProductions CInterface |

type CNonterminals = [CNonterminal]

data CProduction

Constructors

CProduction ConstructorIdent CVisits [(Identifier, Type, ChildKind)] [Identifier] |

type CProductions = [CProduction]

data CRule

Constructors

CChildVisit Identifier NontermIdent Int Attributes Attributes Bool |
CRule Identifier Bool Bool NontermIdent ConstructorIdent Identifier (Maybe NontermIdent) (Maybe Type) Pattern [String] (Map Int (Identifier, Identifier, Maybe Type)) Bool String (Set (Identifier, Identifier)) Bool (Maybe Identifier) |

Instances

Eq CRule |
Ord CRule |
Show CRule |

data CSegment

Constructors

CSegment Attributes Attributes |

type CSegments = [CSegment]

data CVisit

Constructors

CVisit Attributes Attributes Sequence Sequence Bool |

type CVisits = [CVisit]

type Sequence = [CRule]